Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157319 - ifconfig computes wrong default broadcast address
Summary: ifconfig computes wrong default broadcast address
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: net-tools
Version: 3.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-05-10 16:17 UTC by Marc Beauregard
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-700
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 18:35:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:700 qe-ready SHIPPED_LIVE net-tools bug fix update 2005-09-28 04:00:00 UTC

Description Marc Beauregard 2005-05-10 16:17:46 UTC
When setting up my second NIC on my server (IBM xSeries 345, Intel e1000 
network chipset), if I let ifconfig calculate the broadcast address, I get a 
broadcast address that's bigger than what my netmask specifies.
I typed:
ifconfig eth1 netmask 255.255.255.0 10.4.172.229
and I ended up with:
eth1      Link encap:Ethernet  HWaddr 00:0D:60:EC:7D:55
          inet addr:10.4.172.229  Bcast:10.255.255.255  Mask:255.255.255.0

Note that once I've set the eth1's broadcast address to a proper values,
things are working out fine.
It's the initial setup, after I've installed the OS but I only have the first 
NIC enabled and I enable eth1 after the server has been fully installed with 
the OS and configured properly.

Comment 1 Marc Beauregard 2005-05-10 16:18:20 UTC
This is on Red Hat Enterprise Linux WS release 3 (Taroon Update 4)
with kernel 2.4.21-27.0.2.ELsmp (kernel-smp)


Comment 8 Red Hat Bugzilla 2005-09-28 18:35:54 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-700.html



Note You need to log in before you can comment on or make changes to this bug.